---
title: Transferable
slug: Web/API/Transferable
tags:
  - API
  - Interface
  - Reference
  - Transferable
  - Web Workers
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>Transferable</strong></code> interface represents an object that can be transfered between different execution contexts, like the main thread and Web workers.</p>

<p>This is an abstract interface and there is no object of this type. This interface does not define any method or property; it is merely a tag indicating objects that can be used in specific conditions, such as being transfered to a {{domxref("Worker")}} using the {{domxref("Worker.postMessage()")}} method.</p>

<div class="notecard note">
<p><strong>Note:</strong> The <code>Transferable</code> interface technically no longer exists. The <em>functionality</em> of <code>Transferable</code> objects still exists, however, but is implemented at a more fundamental level (technically speaking, using the <code>[Transferable]</code> {{Glossary("WebIDL")}} extended attribute).</p>
</div>

<p>The {{jsxref("ArrayBuffer")}}, {{domxref("MessagePort")}}, {{domxref("ImageBitmap")}} and {{domxref("OffscreenCanvas")}} types implement this interface.</p>

<h2 id="Properties">Properties</h2>

<p><em>The <code>Transferable</code> interface does not implement or inherit specific properties.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>The <code>Transferable</code> interface does not implement or inherit specific properties.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', "infrastructure.html#transferable-objects", "Transferable")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Replaced <code>Transferable</code> interface with <code>[Transferable]</code> Web IDL extended attribute.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "infrastructure.html#transferable-objects", "Transferable")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Transferable")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>Interfaces implementing it: {{jsxref("ArrayBuffer")}}, {{domxref("MessagePort")}}, {{domxref("ImageBitmap")}}.</li>
</ul>
